Bug 985167 - If no nfsvers option specified, autofs can not negotiates a suitable version with the server.
If no nfsvers option specified, autofs can not negotiates a suitable version ...
Status: CLOSED DUPLICATE of bug 984901
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: nfs-utils (Show other bugs)
7.0
All Linux
low Severity high
: rc
: ---
Assigned To: Steve Dickson
Yin.JianHong
:
Depends On: 985165
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-16 22:06 EDT by Yin.JianHong
Modified: 2017-01-17 04:57 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 985165
Environment:
Last Closed: 2014-10-24 10:16:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Yin.JianHong 2013-07-16 22:08:32 EDT
In RHEL-7.0-20130628.0  has the same problem.
version: autofs-5.0.7-22.el7
Comment 3 Yin.JianHong 2013-07-16 23:32:13 EDT
if use the follow nfs config: same problem auto mount fail.
# rpcinfo -p | egrep -w 'mountd|nfs'
    100003    2   udp   2049  nfs
    100003    2   tcp   2049  nfs
    100005    1   udp    785  mountd
    100005    2   udp    785  mountd
    100005    3   udp    785  mountd

if use this config, auto mount success.
# rpcinfo -p | egrep -w 'mountd|nfs'
    100003    2   udp   2049  nfs
    100003    3   udp   2049  nfs
    100003    2   tcp   2049  nfs
    100003    3   tcp   2049  nfs
    100005    1   udp    960  mountd
    100005    2   udp    960  mountd
    100005    3   udp    960  mountd
Comment 4 Yin.JianHong 2013-07-17 01:59:48 EDT
Command and Debug info:
# time ls /expDir/systmp; sleep 5; pkill tcpdump 
ls: 无法访问/expDir/systmp: 没有那个文件或目录     #no such file or directory

real    2m5.179s
user    0m0.002s
sys     0m0.001s

# sed -n '/Jul 17 13:47:02/,${p}' /var/log/messages 
Jul 17 13:47:02 localhost systemd[1]: Starting Automounts filesystems on demand...
Jul 17 13:47:02 localhost automount[2191]: Starting automounter version 5.0.7-22.el7, master map auto.master
Jul 17 13:47:02 localhost automount[2191]: using kernel protocol version 5.02
Jul 17 13:47:02 localhost automount[2191]: lookup_nss_read_master: reading master files auto.master
Jul 17 13:47:02 localhost automount[2191]: parse_init: parse(sun): init gathered global options: (null)
Jul 17 13:47:02 localhost automount[2191]: spawn_mount: mtab link detected, passing -n to mount
Jul 17 13:47:02 localhost automount[2191]: spawn_umount: mtab link detected, passing -n to mount
Jul 17 13:47:02 localhost automount[2191]: lookup_read_master: lookup(file): read entry /misc
Jul 17 13:47:02 localhost automount[2191]: lookup_read_master: lookup(file): read entry /net
Jul 17 13:47:02 localhost automount[2191]: lookup_read_master: lookup(file): read entry +dir:/etc/auto.master.d
Jul 17 13:47:02 localhost automount[2191]: lookup_nss_read_master: reading master dir /etc/auto.master.d
Jul 17 13:47:02 localhost automount[2191]: lookup_read_master: lookup(dir): scandir: /etc/auto.master.d
Jul 17 13:47:02 localhost automount[2191]: lookup_read_master: lookup(file): read entry +auto.master
Jul 17 13:47:02 localhost automount[2191]: lookup_nss_read_master: reading master files auto.master
Jul 17 13:47:02 localhost automount[2191]: parse_init: parse(sun): init gathered global options: (null)
Jul 17 13:47:02 localhost automount[2191]: lookup(file): failed to read included master map auto.master
Jul 17 13:47:02 localhost automount[2191]: lookup_read_master: lookup(file): read entry /expDir
Jul 17 13:47:02 localhost automount[2191]: master_do_mount: mounting /misc
Jul 17 13:47:02 localhost automount[2191]: automount_path_to_fifo: fifo name /run/autofs.fifo-misc
Jul 17 13:47:02 localhost automount[2191]: lookup_nss_read_map: reading map file /etc/auto.misc
Jul 17 13:47:02 localhost automount[2191]: parse_init: parse(sun): init gathered global options: (null)
Jul 17 13:47:02 localhost automount[2191]: spawn_mount: mtab link detected, passing -n to mount
Jul 17 13:47:02 localhost automount[2191]: spawn_umount: mtab link detected, passing -n to mount
Jul 17 13:47:02 localhost automount[2191]: mounted indirect on /misc with timeout 300, freq 75 seconds
Jul 17 13:47:02 localhost automount[2191]: st_ready: st_ready(): state = 0 path /misc
Jul 17 13:47:02 localhost automount[2191]: master_do_mount: mounting /net
Jul 17 13:47:02 localhost automount[2191]: automount_path_to_fifo: fifo name /run/autofs.fifo-net
Jul 17 13:47:02 localhost automount[2191]: lookup_nss_read_map: reading map hosts (null)
Jul 17 13:47:02 localhost automount[2191]: parse_init: parse(sun): init gathered global options: (null)
Jul 17 13:47:02 localhost automount[2191]: lookup_read_map: lookup(hosts): read hosts map
Jul 17 13:47:02 localhost automount[2191]: lookup_read_map: lookup(hosts): map not browsable, update existing host entries only
Jul 17 13:47:02 localhost automount[2191]: mounted indirect on /net with timeout 300, freq 75 seconds
Jul 17 13:47:02 localhost automount[2191]: st_ready: st_ready(): state = 0 path /net
Jul 17 13:47:02 localhost automount[2191]: master_do_mount: mounting /expDir
Jul 17 13:47:02 localhost automount[2191]: automount_path_to_fifo: fifo name /run/autofs.fifo-expDir
Jul 17 13:47:02 localhost automount[2191]: lookup_nss_read_map: reading map file /etc/auto.nfs
Jul 17 13:47:02 localhost automount[2191]: parse_init: parse(sun): init gathered global options: (null)
Jul 17 13:47:02 localhost automount[2191]: mounted indirect on /expDir with timeout 300, freq 75 seconds
Jul 17 13:47:02 localhost automount[2191]: st_ready: st_ready(): state = 0 path /expDir
Jul 17 13:47:02 localhost systemd[1]: Started Automounts filesystems on demand.
Jul 17 13:48:30 localhost automount[2191]: st_expire: state 1 path /expDir
Jul 17 13:48:30 localhost automount[2191]: expire_proc: exp_proc = 139635797309184 path /expDir
Jul 17 13:48:30 localhost automount[2191]: expire_cleanup: got thid 139635797309184 path /expDir stat 0
Jul 17 13:48:30 localhost automount[2191]: expire_cleanup: sigchld: exp 139635797309184 finished, switching from 2 to 1
Jul 17 13:48:30 localhost automount[2191]: st_ready: st_ready(): state = 2 path /expDir
Jul 17 13:48:58 localhost kernel: [77785.728492] device p2p1 entered promiscuous mode
Jul 17 13:49:01 localhost automount[2191]: handle_packet: type = 3
Jul 17 13:49:01 localhost automount[2191]: handle_packet_missing_indirect: token 19, name systmp, request pid 2230
Jul 17 13:49:01 localhost automount[2191]: attempting to mount entry /expDir/systmp
Jul 17 13:49:01 localhost automount[2191]: lookup_mount: lookup(file): looking up systmp
Jul 17 13:49:02 localhost automount[2191]: lookup_mount: lookup(file): systmp -> -nobind,rw   10.66.13.16:/tmp
Jul 17 13:49:02 localhost automount[2191]: parse_mount: parse(sun): expanded entry: -nobind,rw   10.66.13.16:/tmp
Jul 17 13:49:02 localhost automount[2191]: parse_mount: parse(sun): gathered options: nobind,rw
Jul 17 13:49:02 localhost automount[2191]: parse_mount: parse(sun): dequote("10.66.13.16:/tmp") -> 10.66.13.16:/tmp
Jul 17 13:49:02 localhost automount[2191]: parse_mount: parse(sun): core of entry: options=nobind,rw, loc=10.66.13.16:/tmp
Jul 17 13:49:02 localhost automount[2191]: sun_mount: parse(sun): mounting root /expDir, mountpoint systmp, what 10.66.13.16:/tmp, fstype nfs, options nobind,rw
Jul 17 13:49:02 localhost automount[2191]: mount_mount: mount(nfs): root=/expDir name=systmp what=10.66.13.16:/tmp, fstype=nfs, options=nobind,rw
Jul 17 13:49:02 localhost automount[2191]: mount_mount: mount(nfs): nfs options="rw", nobind=1, nosymlink=0, ro=0
Jul 17 13:49:02 localhost automount[2191]: get_nfs_info: called with host 10.66.13.16(10.66.13.16) proto 6 version 0x40
Jul 17 13:49:02 localhost automount[2191]: get_nfs_info: called with host 10.66.13.16(10.66.13.16) proto 6 version 0x70
Jul 17 13:49:02 localhost automount[2191]: get_nfs_info: called with host 10.66.13.16(10.66.13.16) proto 17 version 0x70
Jul 17 13:49:02 localhost automount[2191]: get_nfs_info: nfs v3 rpc ping time: 0.000290
Jul 17 13:49:02 localhost automount[2191]: get_nfs_info: nfs v2 rpc ping time: 0.002284
Jul 17 13:49:02 localhost automount[2191]: get_nfs_info: host 10.66.13.16 cost 1286 weight 0
Jul 17 13:49:02 localhost automount[2191]: prune_host_list: selected subset of hosts that support NFS3 over UDP
Jul 17 13:49:02 localhost automount[2191]: mount_mount: mount(nfs): calling mkdir_path /expDir/systmp
Jul 17 13:49:02 localhost automount[2191]: mount_mount: mount(nfs): calling mount -t nfs -s -o rw 10.66.13.16:/tmp /expDir/systmp
Jul 17 13:49:02 localhost automount[2191]: spawn_mount: mtab link detected, passing -n to mount
Jul 17 13:49:03 localhost automount[2191]: st_expire: state 1 path /misc
Jul 17 13:49:03 localhost automount[2191]: expire_proc: exp_proc = 139635709273856 path /misc
Jul 17 13:49:03 localhost automount[2191]: expire_cleanup: got thid 139635709273856 path /misc stat 0
Jul 17 13:49:03 localhost automount[2191]: expire_cleanup: sigchld: exp 139635709273856 finished, switching from 2 to 1
Jul 17 13:49:03 localhost automount[2191]: st_ready: st_ready(): state = 2 path /misc
Jul 17 13:49:29 localhost automount[2191]: st_expire: state 1 path /net
Jul 17 13:49:29 localhost automount[2191]: expire_proc: exp_proc = 139635709273856 path /net
Jul 17 13:49:29 localhost automount[2191]: expire_cleanup: got thid 139635709273856 path /net stat 0
Jul 17 13:49:29 localhost automount[2191]: expire_cleanup: sigchld: exp 139635709273856 finished, switching from 2 to 1
Jul 17 13:49:29 localhost automount[2191]: st_ready: st_ready(): state = 2 path /net
Jul 17 13:49:45 localhost automount[2191]: st_expire: state 1 path /expDir
Jul 17 13:49:45 localhost automount[2191]: expire_proc: exp_proc = 139635709273856 path /expDir
Jul 17 13:49:45 localhost automount[2191]: expire_cleanup: got thid 139635709273856 path /expDir stat 0
Jul 17 13:49:45 localhost automount[2191]: expire_cleanup: sigchld: exp 139635709273856 finished, switching from 2 to 1
Jul 17 13:49:45 localhost automount[2191]: st_ready: st_ready(): state = 2 path /expDir
Jul 17 13:50:18 localhost automount[2191]: st_expire: state 1 path /misc
Jul 17 13:50:18 localhost automount[2191]: expire_proc: exp_proc = 139635709273856 path /misc
Jul 17 13:50:18 localhost automount[2191]: expire_cleanup: got thid 139635709273856 path /misc stat 0
Jul 17 13:50:18 localhost automount[2191]: expire_cleanup: sigchld: exp 139635709273856 finished, switching from 2 to 1
Jul 17 13:50:18 localhost automount[2191]: st_ready: st_ready(): state = 2 path /misc
Jul 17 13:50:44 localhost automount[2191]: st_expire: state 1 path /net
Jul 17 13:50:44 localhost automount[2191]: expire_proc: exp_proc = 139635709273856 path /net
Jul 17 13:50:44 localhost automount[2191]: expire_cleanup: got thid 139635709273856 path /net stat 0
Jul 17 13:50:44 localhost automount[2191]: expire_cleanup: sigchld: exp 139635709273856 finished, switching from 2 to 1
Jul 17 13:50:44 localhost automount[2191]: st_ready: st_ready(): state = 2 path /net
Jul 17 13:51:00 localhost automount[2191]: st_expire: state 1 path /expDir
Jul 17 13:51:00 localhost automount[2191]: expire_proc: exp_proc = 139635709273856 path /expDir
Jul 17 13:51:00 localhost automount[2191]: expire_cleanup: got thid 139635709273856 path /expDir stat 0
Jul 17 13:51:00 localhost automount[2191]: expire_cleanup: sigchld: exp 139635709273856 finished, switching from 2 to 1
Jul 17 13:51:00 localhost automount[2191]: st_ready: st_ready(): state = 2 path /expDir
Jul 17 13:51:07 localhost automount[2191]: >> mount.nfs: Connection timed out
Jul 17 13:51:07 localhost automount[2191]: mount(nfs): nfs: mount failure 10.66.13.16:/tmp on /expDir/systmp
Jul 17 13:51:07 localhost automount[2191]: dev_ioctl_send_fail: token = 19
Jul 17 13:51:07 localhost automount[2191]: handle_packet: type = 3
Jul 17 13:51:07 localhost automount[2191]: handle_packet_missing_indirect: token 20, name systmp, request pid 2230
Jul 17 13:51:07 localhost automount[2191]: dev_ioctl_send_fail: token = 20
Jul 17 13:51:07 localhost automount[2191]: failed to mount /expDir/systmp
Jul 17 13:51:12 localhost kernel: [77919.706835] device p2p1 left promiscuous mode
Jul 17 13:51:33 localhost automount[2191]: st_expire: state 1 path /misc
Jul 17 13:51:33 localhost automount[2191]: expire_proc: exp_proc = 139635797309184 path /misc
Jul 17 13:51:33 localhost automount[2191]: expire_cleanup: got thid 139635797309184 path /misc stat 0
Jul 17 13:51:33 localhost automount[2191]: expire_cleanup: sigchld: exp 139635797309184 finished, switching from 2 to 1
Jul 17 13:51:33 localhost automount[2191]: st_ready: st_ready(): state = 2 path /misc
Jul 17 13:51:59 localhost automount[2191]: st_expire: state 1 path /net
Jul 17 13:51:59 localhost automount[2191]: expire_proc: exp_proc = 139635797309184 path /net
Jul 17 13:51:59 localhost automount[2191]: expire_cleanup: got thid 139635797309184 path /net stat 0
Jul 17 13:51:59 localhost automount[2191]: expire_cleanup: sigchld: exp 139635797309184 finished, switching from 2 to 1
Jul 17 13:51:59 localhost automount[2191]: st_ready: st_ready(): state = 2 path /net
Jul 17 13:52:15 localhost automount[2191]: st_expire: state 1 path /expDir
Jul 17 13:52:15 localhost automount[2191]: expire_proc: exp_proc = 139635797309184 path /expDir
Jul 17 13:52:15 localhost automount[2191]: expire_cleanup: got thid 139635797309184 path /expDir stat 0
Jul 17 13:52:15 localhost automount[2191]: expire_cleanup: sigchld: exp 139635797309184 finished, switching from 2 to 1
Jul 17 13:52:15 localhost automount[2191]: st_ready: st_ready(): state = 2 path /expDir
Jul 17 13:52:48 localhost automount[2191]: st_expire: state 1 path /misc
Jul 17 13:52:48 localhost automount[2191]: expire_proc: exp_proc = 139635797309184 path /misc
Jul 17 13:52:48 localhost automount[2191]: expire_cleanup: got thid 139635797309184 path /misc stat 0
Jul 17 13:52:48 localhost automount[2191]: expire_cleanup: sigchld: exp 139635797309184 finished, switching from 2 to 1
Jul 17 13:52:48 localhost automount[2191]: st_ready: st_ready(): state = 2 path /misc
Jul 17 13:53:14 localhost automount[2191]: st_expire: state 1 path /net
Jul 17 13:53:14 localhost automount[2191]: expire_proc: exp_proc = 139635797309184 path /net
Jul 17 13:53:14 localhost automount[2191]: expire_cleanup: got thid 139635797309184 path /net stat 0
Jul 17 13:53:14 localhost automount[2191]: expire_cleanup: sigchld: exp 139635797309184 finished, switching from 2 to 1
Jul 17 13:53:14 localhost automount[2191]: st_ready: st_ready(): state = 2 path /net
Jul 17 13:53:30 localhost automount[2191]: st_expire: state 1 path /expDir
Jul 17 13:53:30 localhost automount[2191]: expire_proc: exp_proc = 139635797309184 path /expDir
Jul 17 13:53:30 localhost automount[2191]: expire_cleanup: got thid 139635797309184 path /expDir stat 0
Jul 17 13:53:30 localhost automount[2191]: expire_cleanup: sigchld: exp 139635797309184 finished, switching from 2 to 1
Jul 17 13:53:30 localhost automount[2191]: st_ready: st_ready(): state = 2 path /expDir
Jul 17 13:54:03 localhost automount[2191]: st_expire: state 1 path /misc
Jul 17 13:54:03 localhost automount[2191]: expire_proc: exp_proc = 139635797309184 path /misc
Jul 17 13:54:03 localhost automount[2191]: expire_cleanup: got thid 139635797309184 path /misc stat 0
Jul 17 13:54:03 localhost automount[2191]: expire_cleanup: sigchld: exp 139635797309184 finished, switching from 2 to 1
Jul 17 13:54:03 localhost automount[2191]: st_ready: st_ready(): state = 2 path /misc
[root@dhcp12-125 ~]#
Comment 5 Yin.JianHong 2013-07-17 02:01:40 EDT
Capture packets, and tshark parse.

# tshark -tad -r eth.pcap | grep -i 'nfs '
Running as user "root" and group "root". This could be dangerous.
  5 2013-07-17 13:49:01.960553 10.66.12.125 -> 10.66.13.16  TCP 74 51826 > nfs [SYN] Seq=0 Win=14600 Len=0 MSS=1460 SACK_PERM=1 TSval=77489335 TSecr=0 WS=128
  8 2013-07-17 13:49:01.961701  10.66.13.16 -> 10.66.12.125 TCP 60 nfs > 51826 [RST, ACK] Seq=1 Ack=1 Win=0 Len=0
  9 2013-07-17 13:49:01.962073 10.66.12.125 -> 10.66.13.16  TCP 74 60278 > nfs [SYN] Seq=0 Win=14600 Len=0 MSS=1460 SACK_PERM=1 TSval=77489337 TSecr=0 WS=128
 10 2013-07-17 13:49:01.962309  10.66.13.16 -> 10.66.12.125 TCP 60 nfs > 60278 [RST, ACK] Seq=1 Ack=1 Win=0 Len=0
 11 2013-07-17 13:49:01.962520 10.66.12.125 -> 10.66.13.16  TCP 74 53115 > nfs [SYN] Seq=0 Win=14600 Len=0 MSS=1460 SACK_PERM=1 TSval=77489337 TSecr=0 WS=128
 12 2013-07-17 13:49:01.962725  10.66.13.16 -> 10.66.12.125 TCP 60 nfs > 53115 [RST, ACK] Seq=1 Ack=1 Win=0 Len=0
 13 2013-07-17 13:49:01.962888 10.66.12.125 -> 10.66.13.16  TCP 74 43790 > nfs [SYN] Seq=0 Win=14600 Len=0 MSS=1460 SACK_PERM=1 TSval=77489337 TSecr=0 WS=128
 14 2013-07-17 13:49:01.963131  10.66.13.16 -> 10.66.12.125 TCP 60 nfs > 43790 [RST, ACK] Seq=1 Ack=1 Win=0 Len=0
 39 2013-07-17 13:49:01.971482 10.66.12.125 -> 10.66.13.16  NFS 82 V4 NULL Call
 40 2013-07-17 13:49:01.971773  10.66.13.16 -> 10.66.12.125 NFS 74 V4 NULL Reply (Call In 39)
 45 2013-07-17 13:49:01.973670 10.66.12.125 -> 10.66.13.16  NFS 82 V3 NULL Call
 46 2013-07-17 13:49:01.973882  10.66.13.16 -> 10.66.12.125 NFS 66 V3 NULL Reply (Call In 45)
 51 2013-07-17 13:49:02.008853 10.66.12.125 -> 10.66.13.16  NFS 82 V2 NULL Call
 52 2013-07-17 13:49:02.009060  10.66.13.16 -> 10.66.12.125 NFS 66 V2 NULL Reply (Call In 51)
 53 2013-07-17 13:49:02.095639 10.66.12.125 -> 10.66.13.16  TCP 74 twamp-control > nfs [SYN] Seq=0 Win=14600 Len=0 MSS=1460 SACK_PERM=1 TSval=77489470 TSecr=0 WS=128
 54 2013-07-17 13:49:02.095926  10.66.13.16 -> 10.66.12.125 TCP 60 nfs > twamp-control [RST, ACK] Seq=1 Ack=1 Win=0 Len=0
 55 2013-07-17 13:49:03.096931 10.66.12.125 -> 10.66.13.16  TCP 74 788 > nfs [SYN] Seq=0 Win=14600 Len=0 MSS=1460 SACK_PERM=1 TSval=77490471 TSecr=0 WS=128
 56 2013-07-17 13:49:03.097232  10.66.13.16 -> 10.66.12.125 TCP 60 nfs > 788 [RST, ACK] Seq=1 Ack=1 Win=0 Len=0
 58 2013-07-17 13:49:05.097832 10.66.12.125 -> 10.66.13.16  TCP 74 787 > nfs [SYN] Seq=0 Win=14600 Len=0 MSS=1460 SACK_PERM=1 TSval=77492472 TSecr=0 WS=128
 59 2013-07-17 13:49:05.098004  10.66.13.16 -> 10.66.12.125 TCP 60 nfs > 787 [RST, ACK] Seq=1 Ack=1 Win=0 Len=0
 68 2013-07-17 13:49:09.098836 10.66.12.125 -> 10.66.13.16  TCP 74 1020 > nfs [SYN] Seq=0 Win=14600 Len=0 MSS=1460 SACK_PERM=1 TSval=77496473 TSecr=0 WS=128
 69 2013-07-17 13:49:09.099074  10.66.13.16 -> 10.66.12.125 TCP 60 nfs > 1020 [RST, ACK] Seq=1 Ack=1 Win=0 Len=0
 80 2013-07-17 13:49:17.099781 10.66.12.125 -> 10.66.13.16  TCP 74 vid > nfs [SYN] Seq=0 Win=14600 Len=0 MSS=1460 SACK_PERM=1 TSval=77504474 TSecr=0 WS=128
 81 2013-07-17 13:49:17.099999  10.66.13.16 -> 10.66.12.125 TCP 60 nfs > vid [RST, ACK] Seq=1 Ack=1 Win=0 Len=0
 96 2013-07-17 13:49:27.100658 10.66.12.125 -> 10.66.13.16  TCP 74 732 > nfs [SYN] Seq=0 Win=14600 Len=0 MSS=1460 SACK_PERM=1 TSval=77514475 TSecr=0 WS=128
 97 2013-07-17 13:49:27.100974  10.66.13.16 -> 10.66.12.125 TCP 60 nfs > 732 [RST, ACK] Seq=1 Ack=1 Win=0 Len=0
112 2013-07-17 13:49:37.101479 10.66.12.125 -> 10.66.13.16  TCP 74 794 > nfs [SYN] Seq=0 Win=14600 Len=0 MSS=1460 SACK_PERM=1 TSval=77524476 TSecr=0 WS=128
113 2013-07-17 13:49:37.101776  10.66.13.16 -> 10.66.12.125 TCP 60 nfs > 794 [RST, ACK] Seq=1 Ack=1 Win=0 Len=0
149 2013-07-17 13:49:47.102459 10.66.12.125 -> 10.66.13.16  TCP 74 803 > nfs [SYN] Seq=0 Win=14600 Len=0 MSS=1460 SACK_PERM=1 TSval=77534477 TSecr=0 WS=128
150 2013-07-17 13:49:47.102776  10.66.13.16 -> 10.66.12.125 TCP 60 nfs > 803 [RST, ACK] Seq=1 Ack=1 Win=0 Len=0
179 2013-07-17 13:49:57.103556 10.66.12.125 -> 10.66.13.16  TCP 74 hcp-wismar > nfs [SYN] Seq=0 Win=14600 Len=0 MSS=1460 SACK_PERM=1 TSval=77544478 TSecr=0 WS=128
180 2013-07-17 13:49:57.103980  10.66.13.16 -> 10.66.12.125 TCP 60 nfs > hcp-wismar [RST, ACK] Seq=1 Ack=1 Win=0 Len=0
219 2013-07-17 13:50:07.105369 10.66.12.125 -> 10.66.13.16  TCP 74 964 > nfs [SYN] Seq=0 Win=14600 Len=0 MSS=1460 SACK_PERM=1 TSval=77554480 TSecr=0 WS=128
220 2013-07-17 13:50:07.105654  10.66.13.16 -> 10.66.12.125 TCP 60 nfs > 964 [RST, ACK] Seq=1 Ack=1 Win=0 Len=0
239 2013-07-17 13:50:17.106402 10.66.12.125 -> 10.66.13.16  TCP 74 1003 > nfs [SYN] Seq=0 Win=14600 Len=0 MSS=1460 SACK_PERM=1 TSval=77564481 TSecr=0 WS=128
240 2013-07-17 13:50:17.106696  10.66.13.16 -> 10.66.12.125 TCP 60 nfs > 1003 [RST, ACK] Seq=1 Ack=1 Win=0 Len=0
257 2013-07-17 13:50:27.107389 10.66.12.125 -> 10.66.13.16  TCP 74 984 > nfs [SYN] Seq=0 Win=14600 Len=0 MSS=1460 SACK_PERM=1 TSval=77574482 TSecr=0 WS=128
258 2013-07-17 13:50:27.107572  10.66.13.16 -> 10.66.12.125 TCP 60 nfs > 984 [RST, ACK] Seq=1 Ack=1 Win=0 Len=0
273 2013-07-17 13:50:37.108186 10.66.12.125 -> 10.66.13.16  TCP 74 xfr > nfs [SYN] Seq=0 Win=14600 Len=0 MSS=1460 SACK_PERM=1 TSval=77584483 TSecr=0 WS=128
274 2013-07-17 13:50:37.108393  10.66.13.16 -> 10.66.12.125 TCP 60 nfs > xfr [RST, ACK] Seq=1 Ack=1 Win=0 Len=0
291 2013-07-17 13:50:47.109195 10.66.12.125 -> 10.66.13.16  TCP 74 945 > nfs [SYN] Seq=0 Win=14600 Len=0 MSS=1460 SACK_PERM=1 TSval=77594484 TSecr=0 WS=128
292 2013-07-17 13:50:47.109489  10.66.13.16 -> 10.66.12.125 TCP 60 nfs > 945 [RST, ACK] Seq=1 Ack=1 Win=0 Len=0
312 2013-07-17 13:50:57.110171 10.66.12.125 -> 10.66.13.16  TCP 74 963 > nfs [SYN] Seq=0 Win=14600 Len=0 MSS=1460 SACK_PERM=1 TSval=77604485 TSecr=0 WS=128
313 2013-07-17 13:50:57.110431  10.66.13.16 -> 10.66.12.125 TCP 60 nfs > 963 [RST, ACK] Seq=1 Ack=1 Win=0 Len=0
329 2013-07-17 13:51:07.111383 10.66.12.125 -> 10.66.13.16  TCP 74 fujitsu-dev > nfs [SYN] Seq=0 Win=14600 Len=0 MSS=1460 SACK_PERM=1 TSval=77614486 TSecr=0 WS=128
330 2013-07-17 13:51:07.111648  10.66.13.16 -> 10.66.12.125 TCP 60 nfs > fujitsu-dev [RST, ACK] Seq=1 Ack=1 Win=0 Len=0
[root@dhcp12-125 ~]#
Comment 6 Steve Dickson 2013-11-26 15:04:49 EST
Is this more of an autofs problem than nfs-utils?
Comment 7 Ian Kent 2013-11-26 20:38:51 EST
(In reply to Steve Dickson from comment #6)
> Is this more of an autofs problem than nfs-utils?

It could be but the autofs communications look OK.
It's the "mount -t nfs -s -o rw 10.66.13.16:/tmp /expDir/systmp"
that is failing.

Is the nfs server the same machine as the client in this
test?
Comment 11 RHEL Product and Program Management 2014-03-22 02:44:05 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 12 Steve Dickson 2014-10-24 10:16:58 EDT
Closing this due to:

https://bugzilla.redhat.com/show_bug.cgi?id=985165#c13

Note You need to log in before you can comment on or make changes to this bug.